/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.wahlvorschlag.entity;

public interface WahlvorschlagBase extends 
de.ivu.elect.jee.entity.Entity<WahlvorschlagPK, WahlvorschlagUK>
{

  
  /**
   * getter for primary key wrapper WAHLVORSCHLAG.wahlvorschlag_id
   *
   * @return
   */
  @Override
  WahlvorschlagPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * Discriminator column for generalization
   *
   * getter for WAHLVORSCHLAG.DISCRIMINATOR
   *
   */
  java.lang.String getDiscriminator();

  /**
   * Discriminator column for generalization
   *
   * setter for WAHLVORSCHLAG.DISCRIMINATOR
   *
   * @param discriminator
   */
  void setDiscriminator(java.lang.String discriminator);
      

  /**
   * 
   *
   * getter for WAHLVORSCHLAG.KENNWORT
   *
   */
  java.lang.String getKennwort();

  /**
   * 
   *
   * setter for WAHLVORSCHLAG.KENNWORT
   *
   * @param kennwort
   */
  void setKennwort(java.lang.String kennwort);
      

  /**
   * 
   *
   * getter for WAHLVORSCHLAG.KURZNAME
   *
   */
  java.lang.String getKurzname();

  /**
   * 
   *
   * setter for WAHLVORSCHLAG.KURZNAME
   *
   * @param kurzname
   */
  void setKurzname(java.lang.String kurzname);
      

  /**
   * 
   *
   * getter for WAHLVORSCHLAG.PRIVILEGIERUNGS_TYP
   *
   */
  de.ivu.elect.business.wahlvorschlag.entity.PrivilegierungsTyp getPrivilegierungsTyp();

  /**
   * 
   *
   * setter for WAHLVORSCHLAG.PRIVILEGIERUNGS_TYP
   *
   * @param privilegierungsTyp
   */
  void setPrivilegierungsTyp(de.ivu.elect.business.wahlvorschlag.entity.PrivilegierungsTyp privilegierungsTyp);
      

  /**
   * 
   *
   * getter for WAHLVORSCHLAG.UNTERSTUETZER_ERFASSBAR_AB
   *
   */
  java.util.Date getUnterstuetzerErfassbarAb();

  /**
   * 
   *
   * setter for WAHLVORSCHLAG.UNTERSTUETZER_ERFASSBAR_AB
   *
   * @param unterstuetzerErfassbarAb
   */
  void setUnterstuetzerErfassbarAb(java.util.Date unterstuetzerErfassbarAb);
      

  /**
   * 
   *
   * getter for WAHLVORSCHLAG.UNTERSTUETZER_EXTERN_GUELTIG
   *
   */
  java.lang.Long getAnzahlUnterstuetzerGeeignetErfasstExtern();

  /**
   * 
   *
   * setter for WAHLVORSCHLAG.UNTERSTUETZER_EXTERN_GUELTIG
   *
   * @param anzahlUnterstuetzerGeeignetErfasstExtern
   */
  void setAnzahlUnterstuetzerGeeignetErfasstExtern(java.lang.Long anzahlUnterstuetzerGeeignetErfasstExtern);
      

  /**
   * 
   *
   * getter for WAHLVORSCHLAG.UNTERSTUETZER_EXTERN_UNGUELTIG
   *
   */
  java.lang.Long getAnzahlUnterstuetzerNichtGeeignetErfasstExtern();

  /**
   * 
   *
   * setter for WAHLVORSCHLAG.UNTERSTUETZER_EXTERN_UNGUELTIG
   *
   * @param anzahlUnterstuetzerNichtGeeignetErfasstExtern
   */
  void setAnzahlUnterstuetzerNichtGeeignetErfasstExtern(java.lang.Long anzahlUnterstuetzerNichtGeeignetErfasstExtern);
      

  /**
   * 
   *
   * getter for WAHLVORSCHLAG.WAHLVORSCHLAG_STATUS
   *
   */
  de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagStatus getWahlvorschlagStatus();

  /**
   * 
   *
   * setter for WAHLVORSCHLAG.WAHLVORSCHLAG_STATUS
   *
   * @param wahlvorschlagStatus
   */
  void setWahlvorschlagStatus(de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagStatus wahlvorschlagStatus);
      

  /**
   * 
   *
   * getter for WAHLVORSCHLAG.ZEITPUNKT_DER_EINREICHUNG
   *
   */
  java.util.Date getZeitpunktDerEinreichung();

  /**
   * 
   *
   * setter for WAHLVORSCHLAG.ZEITPUNKT_DER_EINREICHUNG
   *
   * @param zeitpunktDerEinreichung
   */
  void setZeitpunktDerEinreichung(java.util.Date zeitpunktDerEinreichung);
      

  /**
   * 
   *
   * getter for WAHLVORSCHLAG.ZUSATZBEZEICHNUNG
   *
   */
  java.lang.String getZusatzbezeichnung();

  /**
   * 
   *
   * setter for WAHLVORSCHLAG.ZUSATZBEZEICHNUNG
   *
   * @param zusatzbezeichnung
   */
  void setZusatzbezeichnung(java.lang.String zusatzbezeichnung);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setWvpWahlvorschlagDaten(de.ivu.elect.business.kandidatenportal.entity.WvpWahlvorschlagDaten wvpWahlvorschlagDaten);

  /**
   * 
   */
  de.ivu.elect.business.kandidatenportal.entity.WvpWahlvorschlagDaten getWvpWahlvorschlagDaten();



/**
 * Beziehungen N:1 bidirektional
 */

  /**
   * 
   */
  void setGruppeImGebiet(de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet gruppeImGebiet);


/**
 * 
 * Kein Update der bidirektionalen Beziehung - schneller, aber mit Vorsicht zu genießen
 */
   void setGruppeImGebietOhneUpdateBeziehung(de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet gruppeImGebiet);

/**
   * 
   */
  de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet getGruppeImGebiet();




/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
